// pages/usercenter/set/index.js
import { logout } from '~/services/usercenter/set/logout';
import { getPlatformSpecList } from '~/services/usercenter/set/getPlatformSpecList';

Page({

  /**
   * 页面的初始数据
   */
  data: {
    platformSpecList: []
  },

  //协议点击 
  onClickCell(data){
    wx.navigateTo({
      url: '/pages/login/agree-link/index?guid=' + data.currentTarget.dataset.guid
    });
  },


  /** 登出 */
  logOut(){
    logout();
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    getPlatformSpecList().then((res) => {
      if(res.code === 200){
        this.setData({
          platformSpecList: res.data
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})